@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body { font-family: "Montserrat", sans-serif; line-height:1.2; font-size:15px; color:#fff; background: #0e1b07 url("../images/bg.jpg")no-repeat top center; background-size: cover;}

a { text-decoration: none; cursor:pointer; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -o-transition: all 0.3s; transition: all 0.3s; }

a:hover, a:focus, button:focus, button:hover { text-decoration: none; outline: none; }

img { max-width:100%;}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}
button {
	background: none;
	border: none;
	padding: 0;
}
.t-body {
	overflow: hidden;
}
.deco {
	position: absolute;
}
.max-container {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 10px;
}
.top-sec {
	background-image: url("../images/top-deco.png"), url("../images/bg-btm.png");
	background-position: top center, bottom center;
	background-repeat: no-repeat, no-repeat;
	background-size: 100%, 100%;
	position: relative;
	padding: 10px 0 45px;
	text-align: center;
}
.top-light {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    mix-blend-mode: screen;
}
.deco.lantern-1 {
    left: 0%;
    top: -20px;
    max-width: 7%;
	animation: shaking 2.3s ease-in-out infinite;
	transform-origin: top center;
}
.deco.lantern-2 {
    right: 0%;
    top: -20px;
    max-width: 7%;
	animation: shaking 2.4s ease-in-out infinite;
	transform-origin: top center;
}
@keyframes shaking {
    0% {
        transform: rotate(-10deg);
    }
    50% {
        transform: rotate(10deg);
    }
    100% {
        transform: rotate(-10deg);
    }
}
.logo {
    position: relative;
    max-width: 32%;
    margin: 0 auto -12%;
}
.title-top {
    position: relative;
    max-width: 1100px;
    margin: 0 auto 30px;
}
.title-img {
	position: relative;
}
.deco.coin-1 {
    left: 0%;
    top: 79%;
    max-width: 10%;
    z-index: 1;
	animation: float 2.3s ease-in-out infinite;
}
.deco.coin-2 {
    right: 0%;
    top: 72%;
    max-width: 7%;
    z-index: 1;
	animation: float 2.4s ease-in-out infinite;
}
.deco.ketupat-1 {
    left: 10%;
    top: 90%;
    max-width: 17%;
}
.deco.ketupat-2 {
    right: 11%;
    top: 90%;
    max-width: 17%;
}
@keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-12px);
    }
    100% {
        transform: translatey(0px);
    }
}
.top-winner-wrapper {
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
	grid-gap: 10px 15px;
    max-width: 900px;
    margin: 0 auto;
}
.winnerbox {
    position: relative;
    max-width: 450px;
    margin: 0 auto;
}
.winnerbox.first {
    grid-column: 1 / 3;
	width: 50%;
}
.winner-info {
    position: absolute;
    left: 0;
    right: 0;
    top: 78%;
    font-size: 23px;
    font-weight: 500;
    line-height: 1.3;
}
.wntext-1 {
    font-style: italic;
    font-weight: 600;
}
.wntext-2 {
    font-size: 95%;
}
.active .wntext-1 {
    color: #ffc133;
	font-weight: 700;
    text-shadow: 1px 1px 2px #000;
}
.leaderboard-wrapper {
    position: relative;
    max-width: 1100px;
    margin: 30px auto;
}
.table-responsive.leaderboard {
    position: absolute;
    left: 0;
    right: 0;
    top: 6%;
    max-width: 68%;
    margin: 0 auto;
}
table.leaderboard-table tr th {
    background: linear-gradient(180deg, rgba(231, 220, 134, 1) 0%, rgba(128, 89, 42, 1) 100%);
    border: 2px solid #ffba1d;
    padding: 10px 1px;
	font-size: 20px;
    font-weight: 600;
    font-style: italic;
}
table.leaderboard-table tr td {
    border: 2px solid #ffba1d;
    padding: 11px 1px;
    font-size: 15px;
}
table.leaderboard-table tr.active td {
	background: #ffc133;
	color: #000;
	font-weight: 600;
}
.mypoint-wrap {
    position: relative;
    max-width: 480px;
    margin: 0 auto 15px;
}
.pts-text {
    position: absolute;
    left: 0;
    right: 0;
    top: 55%;
    font-size: 40px;
    font-weight: 600;
}
button.tnc-btn {
    max-width: 400px;
}
button.tnc-btn:hover {
	transform: scale(0.98);
	filter: brightness(1.07);
}

/** Modal **/
button.close-x {
    position: absolute;
    right: 9px;
    top: 5px;
    color: #fff;
    font-size: 16px;
    z-index: 2;
}
.modal-dialog.terms {
    max-width: 700px;
}
.modal-content.terms {
    background: linear-gradient(180deg,rgba(20, 56, 40, 1) 0%, rgba(15, 129, 59, 1) 100%);
    border: 3px solid #fcc97b;
    border-radius: 15px;
    box-shadow: inset 0 0 3px 1px rgb(0, 0, 0, 0.6);
    padding: 15px 20px;
	font-size: 16px;
}
.tnc-title {
    text-align: center;
    font-size: 20px;
	font-weight: 600;
    margin-bottom: 15px;
	color: #fff;
}
ul.terms {
	padding-left: 17px;
}

@media(max-width: 1080px) {
table.leaderboard-table tr th {
    font-size: 1.7vw;
    padding: 0.9vw 0.4vw;
}	
table.leaderboard-table tr td {
    padding: 0.9vw 0.4vw;
    font-size: 1.45vw;
}	
}

@media(max-width: 900px) {
.winner-info {
    font-size: 2.5vw;
}	
}

@media(max-width: 767px) {
.frame-img {
    display: none;
}	
.table-responsive.leaderboard {
	background: linear-gradient(180deg, rgba(20, 56, 40, 1) 0%, rgba(15, 129, 59, 1) 100%);
    position: initial;
	max-width: 100%;
}
table.leaderboard-table tr th {
	padding: 10px 1px;
	font-size: 13px;
}	
table.leaderboard-table tr td {
	padding: 8px 1px;
	font-size: 14px;
}
.mypoint-wrap {
    max-width: 65%;
}
.pts-text {
    font-size: 5.2vw;
}
button.tnc-btn {
    max-width: 55%;
}	
}

@media(max-width: 480px) {
	
}

















